<?php
/**
 * Register the required plugins for this theme.
 *
 * @since   1.0.0
 * @package WebRes
 */
// Include the TGM_Plugin_Activation class.
include WEBRES_PATH . '/core/libraries/vendors/tgmpa/class-tgmpa.php';

/**
 * Register the required plugins for this theme.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function webres_register_required_plugins() {
	$plugins = array(
		array(
            'name'      => 'Contact Form 7',
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
        array(
            'name'      => 'KingComposer',
            'slug'      => 'kingcomposer',
            'required'  => true,
        ),
	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'install-plugins',
		'parent_slug'  => 'ui',
		'capability'   => 'manage_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => true,
	);
	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'webres_register_required_plugins' );